#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct CannotDeserializeSearchToken {
    #[builder(into)]
    #[serde(rename = "token")]
    token: String,
}
impl CannotDeserializeSearchToken {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(token: impl Into<String>) -> Self {
        Self::builder().token(token).build()
    }
    #[inline]
    pub fn token(&self) -> &str {
        &*self.token
    }
}
impl conjure_error::ErrorType for CannotDeserializeSearchToken {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:CannotDeserializeSearchToken"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
